Package ru.bitel.bgbilling.modules.paymaster.common.service

# Interface PayMasterService

All Superinterfaces:
  `PaymentServiceProvider`

public interface PayMasterService extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doManualAutopayment(int contractId, BigDecimal sum)`
  Ручной автоплатеж
  `Autopayment`
  `getAutopaymentCurrentMode(int contractId)`
  Возвращает текущий режим автоплатежа
  `SearchResult<Autopayment>`
  `searchAutopaymentList(int contractId, Period period, String[] sort, Page page)`
  Возращает историю изменения автоплатежей на договоре
  `SearchResult<Transaction>`
  `searchTransactionList(int paymasterId, int contractId, String status, PeriodWithTime period, Page page)`
  Метод получения списка транзакций с фильтром

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- ## Method Details

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList(int paymasterId, int contractId, String status, PeriodWithTime period, Page page) throws Exception
    Метод получения списка транзакций с фильтром
    Throws:
      `Exception`

  - ### getAutopaymentCurrentMode

    Autopayment getAutopaymentCurrentMode(int contractId) throws ru.bitel.bgbilling.common.BGException
    Возвращает текущий режим автоплатежа
    Specified by:
      `getAutopaymentCurrentMode` in interface `PaymentServiceProvider`
    Parameters:
      `contractId` - код договора
    Returns:
      Объект с параметрами текущего режима автоплатежа или null
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doManualAutopayment

    void doManualAutopayment(int contractId, BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Ручной автоплатеж
    Specified by:
      `doManualAutopayment` in interface `PaymentServiceProvider`
    Parameters:
      `contractId` -
      `sum` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchAutopaymentList

    SearchResult<Autopayment> searchAutopaymentList(int contractId, Period period, String[] sort, Page page) throws Exception
    Возращает историю изменения автоплатежей на договоре
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`